VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "xc9500"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL ATA_REG_2
        SIGNAL ATA_REG_3
        SIGNAL ATA_REG_4
        SIGNAL ATA_REG_5
        SIGNAL ENABLE
        SIGNAL A1
        SIGNAL A2
        SIGNAL A0
        PORT Output ATA_REG_2
        PORT Output ATA_REG_3
        PORT Output ATA_REG_4
        PORT Output ATA_REG_5
        PORT Input ENABLE
        PORT Input A1
        PORT Input A2
        PORT Input A0
        BEGIN BLOCKDEF and4b2
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 40 -64 
            CIRCLE N 40 -76 64 -52 
            LINE N 0 -128 40 -128 
            CIRCLE N 40 -140 64 -116 
            LINE N 0 -192 64 -192 
            LINE N 0 -256 64 -256 
            LINE N 256 -160 192 -160 
            LINE N 64 -208 144 -208 
            ARC N 96 -208 192 -112 144 -112 144 -208 
            LINE N 64 -64 64 -256 
            LINE N 144 -112 64 -112 
        END BLOCKDEF
        BEGIN BLOCKDEF and4b1
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 40 -64 
            CIRCLE N 40 -76 64 -52 
            LINE N 0 -128 64 -128 
            LINE N 0 -192 64 -192 
            LINE N 0 -256 64 -256 
            LINE N 256 -160 192 -160 
            LINE N 64 -64 64 -256 
            LINE N 144 -112 64 -112 
            ARC N 96 -208 192 -112 144 -112 144 -208 
            LINE N 64 -208 144 -208 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1 and4b2
            PIN I0 A0
            PIN I1 A2
            PIN I2 A1
            PIN I3 ENABLE
            PIN O ATA_REG_2
        END BLOCK
        BEGIN BLOCK XLXI_2 and4b1
            PIN I0 A2
            PIN I1 A1
            PIN I2 A0
            PIN I3 ENABLE
            PIN O ATA_REG_3
        END BLOCK
        BEGIN BLOCK XLXI_3 and4b2
            PIN I0 A1
            PIN I1 A0
            PIN I2 A2
            PIN I3 ENABLE
            PIN O ATA_REG_4
        END BLOCK
        BEGIN BLOCK XLXI_4 and4b1
            PIN I0 A1
            PIN I1 A2
            PIN I2 A0
            PIN I3 ENABLE
            PIN O ATA_REG_5
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 1900 1344
        ATTR LengthUnitName "CM"
        ATTR GridsPerUnit "4"
        INSTANCE XLXI_1 896 416 R0
        INSTANCE XLXI_2 896 672 R0
        INSTANCE XLXI_3 912 944 R0
        INSTANCE XLXI_4 912 1200 R0
        BEGIN BRANCH ATA_REG_2
            WIRE 1152 256 1552 256
        END BRANCH
        BEGIN BRANCH ATA_REG_3
            WIRE 1152 512 1552 512
        END BRANCH
        BEGIN BRANCH ATA_REG_4
            WIRE 1168 784 1552 784
        END BRANCH
        BEGIN BRANCH ATA_REG_5
            WIRE 1168 1040 1568 1040
        END BRANCH
        IOMARKER 1552 256 ATA_REG_2 R0 28
        IOMARKER 1552 512 ATA_REG_3 R0 28
        IOMARKER 1552 784 ATA_REG_4 R0 28
        IOMARKER 1568 1040 ATA_REG_5 R0 28
        BEGIN BRANCH ENABLE
            WIRE 288 160 768 160
            WIRE 768 160 896 160
            WIRE 768 160 768 416
            WIRE 768 416 896 416
            WIRE 768 416 768 688
            WIRE 768 688 768 944
            WIRE 768 944 912 944
            WIRE 768 688 912 688
        END BRANCH
        BEGIN BRANCH A1
            WIRE 288 224 624 224
            WIRE 624 224 896 224
            WIRE 624 224 624 544
            WIRE 624 544 624 880
            WIRE 624 880 624 1136
            WIRE 624 1136 912 1136
            WIRE 624 880 912 880
            WIRE 624 544 896 544
        END BRANCH
        BEGIN BRANCH A2
            WIRE 288 288 672 288
            WIRE 672 288 896 288
            WIRE 672 288 672 608
            WIRE 672 608 672 752
            WIRE 672 752 672 1072
            WIRE 672 1072 912 1072
            WIRE 672 752 912 752
            WIRE 672 608 896 608
        END BRANCH
        BEGIN BRANCH A0
            WIRE 288 352 720 352
            WIRE 720 352 896 352
            WIRE 720 352 720 480
            WIRE 720 480 896 480
            WIRE 720 480 720 816
            WIRE 720 816 720 1008
            WIRE 720 1008 912 1008
            WIRE 720 816 912 816
        END BRANCH
        IOMARKER 288 160 ENABLE R180 28
        IOMARKER 288 224 A1 R180 28
        IOMARKER 288 288 A2 R180 28
        IOMARKER 288 352 A0 R180 28
        BEGIN DISPLAY 1104 1220 TEXT "ATA Register Address Decoder"
            FONT 44 "Arial"
        END DISPLAY
    END SHEET
END SCHEMATIC
