VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "xc9500"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL CLR
        SIGNAL DO0
        SIGNAL DO1
        SIGNAL DO2
        SIGNAL DO3
        SIGNAL DO4
        SIGNAL DI0
        SIGNAL DI2
        SIGNAL DI3
        SIGNAL DI4
        SIGNAL CE
        SIGNAL C
        SIGNAL DI1
        PORT Input CLR
        PORT Output DO0
        PORT Output DO1
        PORT Output DO2
        PORT Output DO3
        PORT Output DO4
        PORT Input DI0
        PORT Input DI2
        PORT Input DI3
        PORT Input DI4
        PORT Input CE
        PORT Input C
        PORT Input DI1
        BEGIN BLOCKDEF fdce
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -128 64 -128 
            LINE N 0 -192 64 -192 
            LINE N 0 -32 64 -32 
            LINE N 0 -256 64 -256 
            LINE N 384 -256 320 -256 
            LINE N 64 -112 80 -128 
            LINE N 80 -128 64 -144 
            LINE N 192 -64 192 -32 
            LINE N 192 -32 64 -32 
            RECTANGLE N 64 -320 320 -64 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1 fdce
            PIN C C
            PIN CE CE
            PIN CLR CLR
            PIN D DI0
            PIN Q DO0
        END BLOCK
        BEGIN BLOCK XLXI_4 fdce
            PIN C C
            PIN CE CE
            PIN CLR CLR
            PIN D DI3
            PIN Q DO3
        END BLOCK
        BEGIN BLOCK XLXI_3 fdce
            PIN C C
            PIN CE CE
            PIN CLR CLR
            PIN D DI2
            PIN Q DO2
        END BLOCK
        BEGIN BLOCK XLXI_5 fdce
            PIN C C
            PIN CE CE
            PIN CLR CLR
            PIN D DI4
            PIN Q DO4
        END BLOCK
        BEGIN BLOCK XLXI_2 fdce
            PIN C C
            PIN CE CE
            PIN CLR CLR
            PIN D DI1
            PIN Q DO1
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 1344 1900
        ATTR LengthUnitName "CM"
        ATTR GridsPerUnit "4"
        INSTANCE XLXI_1 576 384 R0
        INSTANCE XLXI_4 576 1488 R0
        INSTANCE XLXI_3 576 1120 R0
        INSTANCE XLXI_5 576 1856 R0
        INSTANCE XLXI_2 576 752 R0
        BEGIN BRANCH CLR
            WIRE 176 1824 496 1824
            WIRE 496 1824 576 1824
            WIRE 496 352 576 352
            WIRE 496 352 496 720
            WIRE 496 720 576 720
            WIRE 496 720 496 1088
            WIRE 496 1088 576 1088
            WIRE 496 1088 496 1456
            WIRE 496 1456 496 1824
            WIRE 496 1456 576 1456
        END BRANCH
        BEGIN BRANCH DO0
            WIRE 960 128 1152 128
        END BRANCH
        BEGIN BRANCH DO1
            WIRE 960 496 1152 496
        END BRANCH
        BEGIN BRANCH DO2
            WIRE 960 864 1168 864
        END BRANCH
        BEGIN BRANCH DO3
            WIRE 960 1232 1168 1232
        END BRANCH
        BEGIN BRANCH DO4
            WIRE 960 1600 1168 1600
        END BRANCH
        BEGIN BRANCH DI0
            WIRE 176 128 560 128
            WIRE 560 128 576 128
        END BRANCH
        BEGIN BRANCH DI2
            WIRE 176 864 576 864
        END BRANCH
        BEGIN BRANCH DI3
            WIRE 176 1232 576 1232
        END BRANCH
        BEGIN BRANCH DI4
            WIRE 176 1600 560 1600
            WIRE 560 1600 576 1600
        END BRANCH
        BEGIN BRANCH CE
            WIRE 176 1664 400 1664
            WIRE 400 1664 560 1664
            WIRE 560 1664 576 1664
            WIRE 400 192 416 192
            WIRE 416 192 576 192
            WIRE 400 192 400 560
            WIRE 400 560 576 560
            WIRE 400 560 400 928
            WIRE 400 928 576 928
            WIRE 400 928 400 1296
            WIRE 400 1296 400 1664
            WIRE 400 1296 576 1296
        END BRANCH
        BEGIN BRANCH C
            WIRE 176 1728 448 1728
            WIRE 448 1728 576 1728
            WIRE 448 256 576 256
            WIRE 448 256 448 624
            WIRE 448 624 576 624
            WIRE 448 624 448 992
            WIRE 448 992 576 992
            WIRE 448 992 448 1360
            WIRE 448 1360 448 1728
            WIRE 448 1360 576 1360
        END BRANCH
        BEGIN BRANCH DI1
            WIRE 176 496 384 496
            WIRE 384 496 576 496
        END BRANCH
        IOMARKER 176 128 DI0 R180 28
        IOMARKER 176 496 DI1 R180 28
        IOMARKER 176 864 DI2 R180 28
        IOMARKER 176 1232 DI3 R180 28
        IOMARKER 176 1600 DI4 R180 28
        IOMARKER 176 1664 CE R180 28
        IOMARKER 176 1728 C R180 28
        IOMARKER 176 1824 CLR R180 28
        IOMARKER 1152 128 DO0 R0 28
        IOMARKER 1152 496 DO1 R0 28
        IOMARKER 1168 864 DO2 R0 28
        IOMARKER 1168 1232 DO3 R0 28
        IOMARKER 1168 1600 DO4 R0 28
        BEGIN DISPLAY 972 1796 TEXT "5 bit Register"
            FONT 44 "Arial"
        END DISPLAY
    END SHEET
END SCHEMATIC
